export declare type OneOrMore<T> = T | T[];
export declare type ZeroOrMore<T> = undefined | null | T | T[];
export declare type OneOrMoreIncluding<Other extends any, RequiredValue extends any> = RequiredValue | [RequiredValue, ...Other[]] | [...Other[], RequiredValue];
export declare type OnlyOne<T> = T extends (infer X)[] ? X : T;
export declare function asArray<T>(value: ZeroOrMore<T>): T[];
export declare function asSingleValue<T>(value: ZeroOrMore<T>): T | undefined;
